/**
 * @fileOverview Kapitola 2 – skript příkladu Přepínání motivů vzhledu.
 * V tomto skriptu se nachází komentáře ve formátu dokumentačních bloků
 * nástroje JsDoc Toolkit.
 * Oficiální stránky projektu JsDoc Toolkit jsou k dispozici na adrese
 * http://code.google.com/p/jsdoc-toolkit/.
 * @author Ondřej Baše
 */

$(function() {
  // Vytváříme ovládací prvek Tabs.
  $('#karty').tabs();

  // Vytváříme ovládací prvek Accordion.
  $('#harmonika').accordion();

  // Nastavíme funkci, která se má volat po změně vybraného motivu vzhledu.
  document.getElementById('seznam-motivu').onchange = nastavMotivVzhledu;
  // Zavoláme tuto funkci také rovnou načtení stránky.
  nastavMotivVzhledu();
});

/**
 * Nastaví motiv vzhledu podle vybraného prvku seznamu
 * s identifikátorem seznam-motivu.
 */
function nastavMotivVzhledu() {
  var seznamMotivu = document.getElementById('seznam-motivu'),
    prvekVybranehoMotivu =
	  seznamMotivu.options[seznamMotivu.selectedIndex],
    hodnotaVybranehoMotivu = prvekVybranehoMotivu.value;

  document.getElementById('hlavni').className = hodnotaVybranehoMotivu;
}